Bug 1258761 - langinstall behave weirdly
langinstall behave weirdly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf-langpacks (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 04:40 EDT by lnie
Modified: 2015-09-18 14:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.15.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:30:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (142.19 KB, image/png)
2015-09-01 04:40 EDT, lnie
no flags Details

  None (edit)
Description lnie 2015-09-01 04:40:20 EDT
Created attachment 1068881 [details]
screenshot

Description of problem:
As you can see from the screenshot,some packages needed for Chinese support  were pulled in when I was trying to add French support by typing "dnf langinstall fr"

Version-Release number of selected component (if applicable):

f23-beta-tc1

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Parag Nemade 2015-09-01 05:11:13 EDT
Right, recently langpacks plugin changed the behaviour of langinstall command to install all missing packages also for languages listed in 

/etc/dnf/plugins/langpacks.conf
and
/var/lib/dnf/plugins/langpacks/installed_langpacks
Comment 2 Fedora Update System 2015-09-10 02:58:24 EDT
dnf-langpacks-0.15.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15518
Comment 3 Fedora Update System 2015-09-10 23:49:44 EDT
dnf-langpacks-0.15.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf-langpacks'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15518
Comment 4 Fedora Update System 2015-09-18 14:30:16 EDT
dnf-langpacks-0.15.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.